import java.util.LinkedList;
import java.util.List;
import java.util.Iterator;
import java.lang.System;

class A
{
    public A(int x)
    {
        _x = x;
    }

    int x()
    {
        return _x;
    }

    private int _x;
}

public class EjemploListas
{
    public static void main(String[] args)
    {
        List<A> lista = new LinkedList<A>();

        for (int i = 0; i < 10; ++i)
            lista.add(new A(i));
        
        System.out.println("Primera pasada");
        for (Iterator<A> i = lista.iterator(); i.hasNext();) {
            A a = i.next();
            System.out.println(a.x());
            // Elimininamos los elementos pares (resto de dividir en 2 == 0)
            if (a.x() % 2 == 0) {
                i.remove();
            }
        }

        System.out.println("Segunda pasada");
        // Ahora usamos un bucle "for each"
        for (A a : lista) {
            System.out.println(a.x());
        }
    }
}